> For the complete documentation index, see [llms.txt](https://docs.olziedev.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.olziedev.com/projects/nightmarket/api/expansions/currency.md).

# Market Currency

In Night Market you can create a currency addon that will allow you to create a new currency type. This will allow you to create a new currency type that will be able to be used anywhere in the plugin.

## Registering

You can go [here](/projects/nightmarket/api/expansions.md#registering-expansions) to learn on how to register an expansion.

## Examples

Here is an example of a currency addon class, this will let you be able to create a new currency type.

```java
import com.olziedev.nightmarket.api.expansion.MCurrency;
import com.olziedev.nightmarket.api.player.MPlayer;

import java.util.function.Consumer;

public class CurrencyExample extends MCurrency {

    @Override
    public String getCurrencyName() {
        return "";
    }

    @Override
    public String getCurrencyPrefix(String internalCurrency) {
        return "";
    }

    @Override
    public void getBalance(MPlayer mPlayer, String internalCurrency, Consumer<Double> balanceConsumer) {

    }

    @Override
    public void deposit(MPlayer mPlayer, double amount, String internalCurrency, Consumer<Boolean> response) {

    }

    @Override
    public void withdraw(MPlayer mPlayer, double amount, String internalCurrency, Consumer<Boolean> response) {

    }

    @Override
    public boolean isEnabled() {
        return true;
    }

    @Override
    public String getName() {
        return "Example Currency";
    }

    @Override
    public void onLoad() {

    }
}
```

The above example is a currency addon that will allow you to create a new currency type. You can use this to create a new currency type that will be able to be used anywhere in the plugin.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.olziedev.com/projects/nightmarket/api/expansions/currency.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
